=== src/CMakeLists.txt ===
add_subdirectory(maliput_viz)
