=== src/maliput_viz/CMakeLists.txt ===
add_subdirectory(application)
add_subdirectory(config)
add_subdirectory(flags)
add_subdirectory(plugins)
add_subdirectory(resources)
add_subdirectory(tools)
