=== src/maliput_viz/config/CMakeLists.txt ===
# Install .config files.
install(
  FILES
    maliput_viz_layout.config
  DESTINATION
    share/${PROJECT_NAME}/layouts
)
