=== src/maliput_viz/resources/CMakeLists.txt ===
install(
  FILES
    arrow_bulb.obj
    arrow_bulb.mtl
  DESTINATION
    share/${PROJECT_NAME}/resources
)
