=== debian/changelog ===
ros-foxy-maliput-viz (0.1.1-1focal) focal; urgency=high

  * Evolves dependency tag to <depend> for the ignition-gui3 package. (#22 <https://github.com/maliput/maliput_viz/issues/22>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Mon, 13 Mar 2023 03:00:00 -0000

ros-foxy-maliput-viz (0.1.0-1focal) focal; urgency=high

  * Adds command line support for the maliput viz app. (#18 <https://github.com/maliput/maliput_viz/issues/18>)
  * Fills edition boxes when a parameter is clicked. (#17 <https://github.com/maliput/maliput_viz/issues/17>)
  * Uses env hooks instead of compiled paths. (#10 <https://github.com/maliput/maliput_viz/issues/10>)
  * Updates README file. (#6 <https://github.com/maliput/maliput_viz/issues/6>)
  * Adds missing doxygen file. (#8 <https://github.com/maliput/maliput_viz/issues/8>)
  * Bring maliput_viewer application from delphyne_gui (#1 <https://github.com/maliput/maliput_viz/issues/1>)
  * Initial commit
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 13 Dec 2022 03:00:00 -0000
